No autologin on live session with lightdm

Bug #797669 reported by Jean-Baptiste Lallement on 2011-06-15
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
casper (Ubuntu)
High
Colin Watson
Oneiric
High
Colin Watson
lightdm (Ubuntu)
High
Colin Watson
Oneiric
High
Colin Watson
user-setup (Ubuntu)
High
Colin Watson
Oneiric
High
Colin Watson

Bug Description

Binary package hint: lightdm

Ubuntu Desktop i386 20110615 ISO:

TEST CASE:
1. Boot the ISO
2. Let it boot until it stops booting

Result:
A login screen is shown and the user has no clue about the password (even if it's an empty password)
The Live CD must auto login.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: lightdm 0.3.7-0ubuntu2
ProcVersionSignature: Ubuntu 3.0-0.1-generic 3.0.0-rc2
Uname: Linux 3.0-0-generic i686
Architecture: i386
Date: Wed Jun 15 12:01:54 2011
LiveMediaBuild: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110615)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: lightdm
UpgradeStatus: No upgrade log present (probably fresh install)

Jean-Baptiste Lallement (jibel) wrote :
Sebastien Bacher (seb128) wrote :

the issue is rather a live CD or casper one, it should write an /etc/lightdm/lightdm.conf (that will be the location of the conffile in the next update) with default-user-timeout=0 it seems

affects: lightdm (Ubuntu) → casper (Ubuntu)
summary: - No autologin on live session
+ No autologin on live session with lightdm
Sebastien Bacher (seb128) wrote :

Seems like the config should be around those lines:

"[LightDM]
[default-display]
default-user=Ubuntu
default-user-timeout=0"

Changed in casper (Ubuntu Oneiric):
importance: Undecided → High
Robert Ancell (robert-ancell) wrote :

Correct, the lightdm.conf should be updated with those settings.

Changed in casper (Ubuntu Oneiric):
status: New → Triaged
Colin Watson (cjwatson) on 2011-06-16
Changed in casper (Ubuntu Oneiric):
milestone: none → oneiric-alpha-2
Colin Watson (cjwatson) on 2011-06-16
Changed in casper (Ubuntu Oneiric):
assignee: nobody → Colin Watson (cjwatson)
Colin Watson (cjwatson) wrote :

Sebastien/Robert, could you tell us when that next update of lightdm will be (that moves the conffile to /etc/lightdm/lightdm.conf)? I'd rather make this change once rather than having to catch up with different lightdm versions.

Changed in user-setup (Ubuntu Oneiric):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
milestone: none → oneiric-alpha-2
Colin Watson (cjwatson) wrote :

There's similar code in user-setup that needs to be updated.

Robert Ancell (robert-ancell) wrote :

Colin, I've just uploaded 0.4.0 which moves the config file.

Colin Watson (cjwatson) wrote :

/etc/pam.d/lightdm-autologin needs to actually be installed for this to work.

Changed in lightdm (Ubuntu Oneiric):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
milestone: none → oneiric-alpha-2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 0.4.0-0ubuntu5

---------------
lightdm (0.4.0-0ubuntu5) oneiric; urgency=low

  * debian/lightdm.lightdm-autologin.pam, debian/rules:
    - Actually install autologin PAM configuration (LP: #797669).
 -- Colin Watson <email address hidden> Fri, 17 Jun 2011 12:52:33 +0100

Changed in lightdm (Ubuntu Oneiric):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package casper - 1.269

---------------
casper (1.269) oneiric; urgency=low

  [ Luke Yelavich ]
  * bin/casper-a11y-helper:
    - Migrate blindness and braille accessibility profiles to gsettings for
      all except gksu, which still uses gconf to store settings.

  [ Colin Watson ]
  * Add LightDM autologin support (LP: #797669).
 -- Colin Watson <email address hidden> Fri, 17 Jun 2011 12:52:44 +0100

Changed in casper (Ubuntu Oneiric):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package user-setup - 1.28ubuntu16

---------------
user-setup (1.28ubuntu16) oneiric; urgency=low

  * Add LightDM autologin support (LP: #797669).
 -- Colin Watson <email address hidden> Fri, 17 Jun 2011 13:00:37 +0100

Changed in user-setup (Ubuntu Oneiric):
status: Triaged → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers